<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

use Gls\GlsPoland\AdePlus\Response;
use JsonSerializable;
use Gls\GlsPoland\Soap\Client\Type\ResultInterface;

final class AdeLangChangeResponse extends Response implements ResultInterface, JsonSerializable
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CLang
     */
    protected $return;

    public function jsonSerialize(): array
    {
        return [
            'return' => $this->return,
        ];
    }

    public function getReturn(): CLang
    {
        return $this->return;
    }

    public function withReturn(CLang $return): AdeLangChangeResponse
    {
        $new = clone $this;
        $new->return = $return;

        return $new;
    }
}
